/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Trend
 */
public enum EnumCV_Trend 
{
	//CID 3684 Trend
	SERIAL_CHANGES_CONSISTENT_WITH_D_2_3_4_SE("D.2.3-4-SE"),
	CONTINUING_CHANGES_OF_D_2_3_4_CC("D.2.3-4-CC"),
	OCCASIONAL_D_2_3_4_OC("D.2.3-4-OC"),
	INTERMITTENT_D_2_3_4_IM("D.2.3-4-IM"),
	TEMPORARY_D_2_3_4_TE("D.2.3-4-TE"),
	EVOLVING_D_2_3_4_EV("D.2.3-4-EV"),
	NEW_D_2_3_4_NE("D.2.3-4-NE"),
	MULTIPLE_D_2_3_4_MU("D.2.3-4-MU"),
	TRANSIENT_D_2_3_4_TR("D.2.3-4-TR"),
	UNIFOCAL_D_2_3_4_UF("D.2.3-4-UF"),
	MULTIFOCAL_D_2_3_4_MF("D.2.3-4-MF"),
	FREQUENT_D_2_3_4_FR("D.2.3-4-FR");
	
	private String value;

	EnumCV_Trend(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
